Subject: Bug in git-sh-prompt: incorrectly determines the upstream for repos produced by recent git svn clone --stdlayout

From: Danil Semelenov <[email-masked]>
Date: Thu, 4 Feb 2016 01:48:15 +0300

Let me copy-paste the original bug report from the Debain mail list by Paul Wise http://comments.gmane.org/gmane.linux.debian.devel.bugs.general/1321117. The bug is still reproducible with the latest version of git-prompt.sh.

>I recently did a git svn clone of the Planet Debian SVN and I noticed
>that the normal upstream indicator in the git part of my $PS1 was not
>working properly. The issue appears to be that the code decides that
>the upstream is trunk instead of origin/trunk. trunk gives an error
>from git rev-list but origin/trunk does not. It works for normal git
>svn clone because there the remote branch is just named git-svn with
>no origin/ prefix. I'm using the below settings for my bash git PS1.
>In case you need a small repo to reproduce this with, try neomis.
>It still works with some of my old repos because the remote branch is
>just trunk instead of origin/trunk, so I think git-svn changed this.